﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Controls;
using System.Windows.Input;

namespace SilverlightDataContextBugWorkaround
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            // Set DataContext for simple scenario
            DataContext = "Original DataContext";

            // Populate DataGrids for DataGrid+ContextMenu scenario
            IEnumerable<int> _items = Enumerable.Range(0, 50);
            foreach (DataGrid dataGrid in LayoutRoot.Children.OfType<DataGrid>())
            {
                dataGrid.ItemsSource = _items;
            }
        }

        private void Grid_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            // Change UserControl's DataContext for simple scenario
            DataContext = "DataContext at " + DateTime.Now.ToLongTimeString();
        }
    }
}
